DSA Struct Reference

DSA More...

`#include <gfpcrypt.h>`

Inheritance diagram for DSA:

## Public Types

enum | { MIN_PRIME_LENGTH = 1024, MAX_PRIME_LENGTH = 1024, PRIME_LENGTH_MULTIPLE = 64 }
| FIPS 186-2 Change Notice 1 changed the minimum modulus length to 1024.
typedef PK_FinalTemplate < DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < DL_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef DL_PublicKey_GFP < DL_GroupParameters_DSA > | PublicKey
typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest < DL_PrivateKey_GFP < DL_GroupParameters_DSA > , DSA > | PrivateKey

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static bool | GeneratePrimes (const byte *seed, unsigned int seedLength, int &counter, Integer &p, unsigned int primeLength, Integer &q, bool useInputCounterValue=false)
| Generate DSA primes according to NIST standard. More...
static bool | IsValidPrimeLength (unsigned int pbits)

## Detailed Description

DSA

Definition at line 384 of file gfpcrypt.h.

## Member Function Documentation

static bool DSA::GeneratePrimes | ( | const byte * | seed,
|  | unsigned int | seedLength,
|  | int & | counter,
|  | Integer & | p,
|  | unsigned int | primeLength,
|  | Integer & | q,
|  | bool | useInputCounterValue = `false`
| ) |  |

static

Generate DSA primes according to NIST standard.

Both seedLength and primeLength are in bits, but seedLength should be a multiple of 8. If useInputCounterValue == true, the counter parameter is taken as input, otherwise it's used for output

The documentation for this struct was generated from the following file:

- gfpcrypt.h